# RaumplanerApp.py

from grafikfenster import *

from badewanne import Badewanne
from bett import Bett
from dusche import Dusche
from herd import Herd
from klosett import Klosett
from sessel import Sessel
from schrank import Schrank
from sofa import Sofa
from stuhl import Stuhl	
from tisch import Tisch
from ovalerTisch import OvalerTisch

from raumplanerModell import RaumplanerModell

from gui import Gui ## neu

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    def OnInit(self):
        self.gui = Gui(None,-1,"Raumplaner")
        self.SetTopWindow(self.gui)  ## neu
        self.fenster = GrafikFenster(self.gui, "Raumplaner-Grafik")  ## neu
        self.fenster.Show(True)
        self.gui.Show(True)
        ##self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        zf=Zeichenflaeche.GibZeichenflaeche()
        ##zf.SetBGImage('Bilder/beispielbild.png',0.8)
        ##zf.SetBGImage('Bilder/beispielbild_invertiert.png',0.8)
        ##zf.SetBGColor('BLACK')
        self.modell=RaumplanerModell.GibRaumplanerModell()
        self.gui.SetzeModell(self.modell)
        return True

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
